summaryrefslogtreecommitdiff
path: root/archco.in
diff options
context:
space:
mode:
authorLukas Fleischer <archlinux@cryptocrack.de>2011-08-29 10:53:50 +0200
committerLukas Fleischer <archlinux@cryptocrack.de>2011-10-07 21:53:02 +0200
commit46c4def0733a78ce08702d188e3e1a141fb07316 (patch)
tree69fb80eff39981680faeeba01f88be48026fc05f /archco.in
parent142b032212fd94c0fde75a3dd223444c212c2eaa (diff)
downloaddevtools32-46c4def0733a78ce08702d188e3e1a141fb07316.tar.xz
Support non-standard install locations
This build system overhaul allows for adding (define-style) macros to our scripts. All source files are now suffixed with ".in" to clarify that they might contain unprocessed defines. The Makefile provides a new rule to preprocess source files and generate proper output scripts. Also, add a "@pkgdatadir@" define (as used in GNU Autotools) and use it instead of hardcoded paths to "/usr/share/devtools" everywhere. We missed this when adding PREFIX support to the build system in commit 35fc83ce7d8dc26cd424321f2e8638d05da0a6d4. Signed-off-by: Lukas Fleischer <archlinux@cryptocrack.de>
Diffstat (limited to 'archco.in')
-rw-r--r--archco.in23
1 files changed, 23 insertions, 0 deletions
diff --git a/archco.in b/archco.in
new file mode 100644
index 0000000..31134f4
--- /dev/null
+++ b/archco.in
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+scriptname=${0##*/}
+
+if [ "$1" = '' ]; then
+ echo 'Usage: '$scriptname' <package name>...'
+ exit 1
+fi
+
+case $scriptname in
+ archco)
+ SVNURL="svn+ssh://gerolde.archlinux.org/srv/svn-packages";;
+ communityco)
+ SVNURL="svn+ssh://aur.archlinux.org/srv/svn-packages";;
+ *)
+ echo "error: couldn't find svn url for $scriptname"
+ exit 1
+ ;;
+esac
+
+for i in "$@"; do
+ svn co "$SVNURL/$i"
+done